/*
* Copyright (C) 2003-2006 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#pragma once


// CMailSettings dialog

class CMailSettings : public CDialog
{
	DECLARE_DYNAMIC(CMailSettings)

public:
	CMailSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CMailSettings();

// Dialog Data
	enum { IDD = IDD_UI_MAIL };

protected:
    #if defined(WIN32_PLATFORM_PSPC)
        SHMENUBARINFO dlgCommandBar; 
        CComboBox lstSyncType;
    #endif

    #if defined(WIN32_PLATFORM_WFSP)
        CCommandBar dlgCommandBar3;
        CListBox lstSyncType; 
        CSpinButtonCtrl spinSyncType;
    #endif

    CEdit editRemote;
    CEdit editName;
    CEdit editEmail;

    CString dispName;
    CString dispEmail;
    CStatic staticAdvanced;

    virtual BOOL OnInitDialog();
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

    #if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
        afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
    #endif

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnOK();
	afx_msg void OnMenuFolders();
	afx_msg void OnMenuFilters();
  #ifdef SMARTPHONE2003_UI_MODEL
	LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
  #endif
};
