/*
* Copyright (C) 2003-2006 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once


// CPushSettings dialog

class CPushSettings : public CDialog
{
	DECLARE_DYNAMIC(CPushSettings)

public:
	CPushSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPushSettings();

// Dialog Data
	enum { IDD = IDD_UI_PUSH };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

    #if defined(WIN32_PLATFORM_PSPC)
        SHMENUBARINFO dlgCommandBar; 
        CComboBox lstEmailPolling;
    #endif

    #if defined(WIN32_PLATFORM_WFSP)
        CCommandBar dlgCommandBar3;
        CListBox lstEmailPolling;
        CSpinButtonCtrl spinEmailPolling;
    #endif 
   
    CButton checkServerPush;
    CButton checkSms;
    CButton checkTcpIp;
    CEdit editPort;
    CButton radioYes;
    CButton radioNo;
    CButton checkPolling;

	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnCheckPushClicked();
	//afx_msg void OnPushCheckPollingClicked();
	afx_msg void OnOK();

	#ifdef SMARTPHONE2003_UI_MODEL
		LRESULT OnHotkey(WPARAM wParam, LPARAM lParam);
	#endif
	afx_msg void OnPushCheckTcpipClicked();

};
